And as the subject says ....
I have burned kalipi64 on my SD, booted,logged in, still haven't changed root password, apt update && apt full-upgrade -y, rebooted, ran apt install kali-linux-full -y and that's the result:

Code:
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kali-linux-full : Depends: kali-linux but it is not going to be installed
                   Depends: bluelog but it is not going to be installed
                   Depends: chirp but it is not going to be installed
                   Depends: cisco-torch but it is not going to be installed
                   Depends: cutycapt but it is not going to be installed
                   Depends: enum4linux but it is not going to be installed
                   Depends: fern-wifi-cracker but it is not going to be installed
                   Depends: ftester but it is not going to be installed
                   Depends: funkload but it is not going to be installed
                   Depends: ghost-phisher but it is not going to be installed
                   Depends: giskismet but it is not going to be installed
                   Depends: golismero but it is not going to be installed
                   Depends: grabber but it is not going to be installed
                   Depends: hexorbase but it is not going to be installed
                   Depends: hydra-gtk but it is not going to be installed
                   Depends: inetsim but it is not going to be installed
                   Depends: magicrescue but it is not going to be installed
                   Depends: padbuster but it is not going to be installed
                   Depends: patator but it is not going to be installed
                   Depends: proxystrike but it is not going to be installed
                   Depends: python-rfidiot but it is not going to be installed
                   Depends: sbd but it is not going to be installed
                   Depends: sendemail but it is not going to be installed
                   Depends: siparmyknife but it is not going to be installed
                   Depends: sparta but it is not going to be installed
                   Depends: sqlitebrowser but it is not going to be installed
                   Depends: sqlninja but it is not going to be installed
                   Depends: sqlsus but it is not going to be installed
                   Depends: uniscan but it is not going to be installed
                   Depends: vim-gtk but it is not going to be installed
                   Depends: wifitap but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
And it's not the first time, it's a couple of weeks i'm struglinn through all the possible solutions, by dokg --configure -a, apt install -f, synaptic fix broken packages feature. I show you some more debugging:
Code:
root@kali:~# dpkg --configure -a
Setting up python3-graphql-core (2.0.0-0kali1) ...
  File "/usr/lib/python3/dist-packages/graphql/execution/tests/test_executor_thread.py", line 165
    def async(self):
            ^
SyntaxError: invalid syntax

dpkg: error processing package python3-graphql-core (--configure):
 installed python3-graphql-core package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of python3-graphql-relay:
 python3-graphql-relay depends on python3-graphql-core; however:
  Package python3-graphql-core is not configured yet.
Invalid sintax ?
And here INVALID SINTAX saved my installation packages from extinsion as reported:
Code:
root@kali:~# apt install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  0trace ace-voip afflib-tools aglfn amap android-sdk apache-users
  arp-scan arping arpwatch asleap automater autopsy axel backdoor-factory
  bbqsql bdfproxy bed binwalk blindelephant blueranger bluesnarfer
  bluez-hcidump braa btscanner bully burpsuite cabextract cadaver
  cdpsnarf cherrytree chkrootkit chntpw cisco-auditing-tool
  cisco-global-exploiter cisco-ocs clang clusterd collectd collectd-core
  commix cookie-cadger cowpatty crackle cramfsswap creddump cryptcat
  cryptsetup cryptsetup-bin cryptsetup-initramfs cryptsetup-run curlftpfs
  darkstat davtest dbd dc3dd dcfldd dcraw ddrescue deblaze default-jdk
  default-jdk-headless device-pharmer dex2jar dhcpig dirb dirbuster
  dmeventd dmitry dnmap dns2tcp dnschef dnsenum dnstracer dnswalk
  docutils-common docutils-doc doona dos2unix dotdotpwn driftnet dsniff
  dumpzilla dwarfdump eapmd5pass enchant enumiax ettercap-common
  ettercap-graphical ewf-tools exe2hexbat exif exiv2 expect extundelete
  fastjar fcrackzip fierce fiked fimap findmyhash finger flac flasm
  florence fonts-droid-fallback fonts-font-awesome fonts-noto-mono
  fonts-texgyre foremost fping fragroute fragrouter framework2 freeglut3
  freeradius-common freeradius-config freeradius-utils galera-3 galleta
  gcc-7-base gdal-data genisoimage gir1.2-gtksource-3.0
  gir1.2-javascriptcoregtk-4.0 gir1.2-soup-2.4 gir1.2-vte-2.91
  gir1.2-webkit2-4.0 gnuplot gnuplot-data gnuplot-qt gparted gpp-decrypt
  gqrx-sdr graphicsmagick graphicsmagick-imagemagick-compat graphviz
  greenbone-security-assistant-common gsfonts gsfonts-x11 hackersh hackrf
  hamster-sidejack hash-identifier hashdeep hashid hexinject hping3
  htshells httrack hunspell-en-us iaxflood ident-user-enum ifenslave
  ike-scan intersect inviteflood iodine ismtp jad jarwrapper
  java-wrappers javasnoop jboss-autopwn johnny joomscan jsql-injection
  kali-desktop-common kalibrate-rtl keimpx killerbee king-phisher kismet
  laudanum lbd leafpad libadns1 libaec0 libafflib0v5 libaio1 libairspy0
  libairspyhf1 libapache2-mod-php7.2 libarmadillo9 libarpack2 libbfio1
  libbladerf1 libboost-atomic1.62-dev libboost-atomic1.62.0
  libboost-chrono1.62-dev libboost-chrono1.62.0 libboost-date-time-dev
  libboost-date-time1.62-dev libboost-date-time1.62.0
  libboost-filesystem-dev libboost-filesystem1.62-dev
  libboost-filesystem1.62.0 libboost-program-options-dev
  libboost-program-options1.62-dev libboost-program-options1.62.0
  libboost-regex1.62.0 libboost-serialization1.62-dev
  libboost-serialization1.62.0 libboost-system-dev
  libboost-system1.62-dev libboost-system1.62.0 libboost-test-dev
  libboost-test1.62-dev libboost-test1.62.0 libboost-thread-dev
  libboost-thread1.62-dev libboost-thread1.62.0 libboost-timer1.62.0
  libboost1.62-dev libbtbb1 libcapstone-dev libcapstone3 libcdt5
  libcgi-pm-perl libcgraph6 libcharls1 libcodec2-0.8.1 libcollectdclient1
  libcomedi0 libconfig-inifiles-perl libconfig9 libconfuse-common
  libconfuse2 libcppunit-1.14-0 libcppunit-dev libdap25 libdapclient6v5
  libdapserver7v5 libdate-manip-perl libdbi1 libdevmapper-event1.02.1
  libdigest-bubblebabble-perl libdistorm3-3 libdumbnet1 libdwarf1 libemu2
  libenchant1c2a libepsilon1 libesmtp6 libevent-2.1-6 libevent-core-2.1-6
  libevent-openssl-2.1-6 libevent-pthreads-2.1-6 libewf2 libexiv2-14
  libfcgi-bin libfcgi0ldbl libflorence-1.0-1 libfreefare-bin libfreefare0
  libfreeradius3 libfreesrp0 libfreexl1 libfyba0 libgdbm5 libgeos-3.7.0
  libgeos-c1v5 libgeotiff2 libgfortran4 libglfw3 libgnuradio-analog3.7.13
  libgnuradio-atsc3.7.13 libgnuradio-audio3.7.13 libgnuradio-blocks3.7.13
  libgnuradio-channels3.7.13 libgnuradio-comedi3.7.13
  libgnuradio-digital3.7.13 libgnuradio-dtv3.7.13 libgnuradio-fcd3.7.13
  libgnuradio-fcdproplus3.7.11 libgnuradio-fec3.7.13
  libgnuradio-fft3.7.13 libgnuradio-filter3.7.13
  libgnuradio-iqbalance3.7.11 libgnuradio-noaa3.7.13
  libgnuradio-osmosdr0.1.4 libgnuradio-pager3.7.13 libgnuradio-pmt3.7.13
  libgnuradio-runtime3.7.13 libgnuradio-trellis3.7.13
  libgnuradio-uhd3.7.13 libgnuradio-video-sdl3.7.13
  libgnuradio-vocoder3.7.13 libgnuradio-wavelet3.7.13
  libgnuradio-wxgui3.7.13 libgnuradio-zeromq3.7.13 libgoogle-perftools4
  libgps23 libgraphicsmagick-q16-3 libgrpc++1 libgrpc3 libgs9-common
  libgsf-1-114 libgsf-1-common libgsl23 libgslcblas0 libgssglue1
  libgtkmm-2.4-1v5 libgtksourceview2.0-0 libgtksourceview2.0-common
  libgts-0.7-5 libgts-bin libgvc6 libgvpr2 libhackrf0 libhamlib2
  libharfbuzz-icu0 libhdf4-0-alt libhdf5-100 libhidapi-libusb0
  libhiredis0.13 libhivex-bin libhivex0 libhogweed4
  libhtml-linkextractor-perl libhtml-template-perl libhttp-dav-perl
  libhttp-parser2.8 libhttrack2 libhunspell-1.6-0 libhyphen0
  libicu-le-hb0 libicu60 libijs-0.35 libio-all-lwp-perl libio-all-perl
  libio-multiplex-perl libio-socket-socks-perl libip4tc0 libip6tc0
  libipc-shareable-perl libjavascriptcoregtk-4.0-18 libjbig2dec0
  libjemalloc1 libjpeg-turbo-progs libjson-c3 libjudydebian1 libkmlbase1
  libkmlconvenience1 libkmldom1 libkmlengine1 libkmlregionator1
  libkmlxsd1 libkpathsea6 liblab-gamut1 liblimesuite18.06-1
  liblog4cpp5-dev liblog4cpp5v5 liblua5.1-0 libluajit-5.1-2
  libluajit-5.1-common liblvm2app2.2 liblvm2cmd2.02 liblwgeom-2.4-0
  liblwgeom-dev liblwp-protocol-socks-perl libmdb2 libmdbsql2
  libmicrohttpd12 libminizip1 libmirisdr0 libmodbus5 libmosquitto1
  libmspack0 libncurses5 libneon27-gnutls libnet-cidr-perl
  libnet-dns-perl libnet-ident-perl libnet-ip-perl libnet-netmask-perl
  libnet-snmp-perl libnet-telnet-perl libnet-tftp-perl libnet1
  libnetcdf13 libnetfilter-queue1 libnetpacket-perl libnettle6
  libnids1.21 libntfs-3g88 libnumber-bytes-human-perl libodbc1 libogdi3.2
  libopenal-data libopenal1 libopenipmi0 liboping0 libopts25 libosmosdr0
  libout123-0 libow-3.1-5 libowcapi-3.1-5 libpaper-utils libpaper1
  libparallel-forkmanager-perl libpathplan4 libperl5.26 libphonon4
  libportaudio2 libpotrace0 libproj13 libprotobuf10 libpst4 libptexenc1
  libqca2 libqca2-plugins libqhull7 libqscintilla2-qt4-13
  libqscintilla2-qt4-l10n libqscintilla2-qt5-13 libqscintilla2-qt5-l10n
  libqt4-opengl libqt5charts5 libqtwebkit4 libqwt-qt5-6 libqwt6abi1
  librabbitmq4 libradare2-2.9 libradare2-common libradcli4 librdkafka1
  libreadline5 libregexp-common-perl libregfi1 libriemann-client0 librrd8
  librtaudio6 librtlsdr0 libsdl1.2debian libsndio7.0 libsoapysdr0.6
  libspatialindex4v5 libspatialite7 libspiffy-perl libstring-random-perl
  libsuperlu5 libsybdb5 libsynctex2 libsz2 libtcmalloc-minimal4
  libtexlua52 libtexlua53 libtidy5 libtinfo5 libtokyocabinet9
  libtokyotyrant3 libtsk13 libubertooth1 libucl1 libuhd3.12.0
  libupsclient4 liburiparser1 libvirt0 libvolk1-bin libvolk1-dev
  libvolk1.4 libwebkit2gtk-4.0-37 libwhisker2-perl libwmf0.2-7 libwoff1
  libwxbase3.0-0v5 libwxgtk3.0-0v5 libwxgtk3.0-gtk3-0v5 libxdot4
  libxen-4.8 libxenstore3.0 libxerces-c3.2 libxml-dom-perl libxml-perl
  libxml-regexp-perl libxml-writer-perl libxshmfence-dev libxxhash0
  libyajl2 libyaml-tiny-perl libyara3 libzip4 libzzip-0-13 limesuite-udev
  linux-exploit-suggester llvm-6.0 llvm-6.0-runtime lmodern lrzsz lvm2
  lynis macchanger maltego maltego-teeth mariadb-client-10.1
  mariadb-client-core-10.1 mariadb-server-core-10.1 mc mc-data mdbtools
  mdk3 memdump mercurial mercurial-common mfcuk mfterm mimikatz minicom
  miranda miredo missidentify mitmproxy mpg123 msfpc mtd-utils multimac
  nbtscan ncat-w32 ncurses-hexedit netdiscover netmask netsed netwag
  netwox nfspy nginx ngrep nikto nipper-ng nishang odbcinst
  odbcinst1debian2 ohrwurm onesixtyone openjdk-10-jdk
  openjdk-10-jdk-headless openjdk-8-jre ophcrack ophcrack-cli oscanner
  osslsigncode owfs-common p0f pack paros parsero pasco pdf-parser
  pdfcrack pdfid pdgmail perl-modules-5.26 pev phonon
  phonon-backend-gstreamer phonon-backend-gstreamer-common php php-common
  php-mysql php7.2 php7.2-cli php7.2-common php7.2-json php7.2-mysql
  php7.2-opcache php7.2-readline pipal pixiewps plecost polenum
  powerfuzzer powersploit preview-latex-style proj-bin proj-data
  protos-sip proxytunnel pst-utils ptunnel pwgen pwnat pyrit python-adns
  python-aes python-argcomplete python-asn1crypto python-atomicwrites
  python-attr python-automat python-backports-abc
  python-backports.ssl-match-hostname python-bcrypt python-beautifulsoup
  python-blinker python-bson python-capstone python-certifi
  python-cffi-backend python-cheetah python-click python-click-plugins
  python-colorama python-concurrent.futures python-configargparse
  python-configobj python-constantly python-construct python-crypto
  python-cryptography python-cycler python-dateutil python-decorator
  python-distorm3 python-dns python-dnslib python-docutils python-easygui
  python-editorconfig python-egenix-mxdatetime python-egenix-mxtools
  python-elixir python-enchant python-enum34 python-et-xmlfile
  python-feedparser python-flask python-funcsigs python-fuse python-geoip
  python-gevent python-greenlet python-gridfs python-gtksourceview2
  python-gtkspellcheck python-h2 python-halberd python-hpack
  python-html2text python-httplib2 python-hyperframe python-hyperlink
  python-idna python-impacket python-incremental python-itsdangerous
  python-jdcal python-jinja2 python-jsbeautifier python-jsonpickle
  python-kiwisolver python-levenshtein python-libemu python-m2crypto
  python-mako python-markupsafe python-matplotlib python-mechanize
  python-metaconfig python-more-itertools python-msgpack python-nacl
  python-nassl python-networkx python-opengl python-openpyxl
  python-openssl python-owslib python-pam python-paramiko python-passlib
  python-pcapy python-peepdf python-pefile python-pexpect python-pluggy
  python-prettytable python-psycopg2 python-ptyprocess python-py
  python-pyasn1 python-pyasn1-modules python-pycurl python-pygments
  python-pygraphviz python-pyinotify python-pymongo python-pymssql
  python-pyparsing python-pyperclip python-pyproj python-pyscard
  python-pyspatialite python-pytest python-pythonect python-qrcode
  python-requests python-roman python-rtlsdr python-scapy python-scipy
  python-serial python-service-identity python-shapely python-shodan
  python-simplejson python-singledispatch python-sip python-socks
  python-sqlalchemy python-sqlalchemy-ext python-subprocess32
  python-tornado python-twisted python-twisted-bin python-twisted-core
  python-twisted-web python-typing python-tz python-urllib3 python-urwid
  python-usb python-utidylib python-webunit python-werkzeug
  python-wxgtk3.0 python-wxtools python-wxversion python-xdg
  python-xlsxwriter python-xmlbuilder python-yara python-zmq
  python-zope.interface python3-advancedhttpserver python3-ajpy
  python3-alembic python3-bcrypt python3-binwalk python3-boltons
  python3-brotli python3-crcelk python3-ecdsa python3-editor
  python3-email-validator python3-geoip2 python3-geojson python3-graphene
  python3-graphene-sqlalchemy python3-graphql-core python3-graphql-relay
  python3-h11 python3-h2 python3-hpack python3-hyperframe
  python3-icalendar python3-ipy python3-iso8601 python3-kaitaistruct
  python3-ldap3 python3-mako python3-maxminddb python3-msgpack
  python3-nacl python3-opengl python3-pampy python3-paramiko
  python3-passlib python3-pluginbase python3-ply python3-promise
  python3-psycopg2 python3-pyasn1 python3-pyotp python3-pyperclip
  python3-pyqtgraph python3-pysmi python3-pysnmp4 python3-requests-file
  python3-ruamel.yaml python3-rx python3-serial python3-singledispatch
  python3-smoke-zephyr python3-sortedcontainers python3-sqlalchemy
  python3-sqlalchemy-ext python3-tabulate python3-tzlocal python3-urwid
  python3-websocket python3-wsproto qt4-designer radare2 rarcrack
  rcracki-mt rdesktop reaver rebind recordmydesktop recoverjpeg redfang
  redis-server redis-tools redsocks reglookup responder rifiuti rifiuti2
  rrdtool rsmangler rsync rtl-sdr rtlsdr-scanner rtpbreak rtpflood
  ruby-buftok ruby-domain-name ruby-equalizer ruby-faraday ruby-http
  ruby-http-cookie ruby-http-form-data ruby-http-parser.rb
  ruby-httpclient ruby-memoizable ruby-multi-json ruby-multipart-post
  ruby-naught ruby-oj ruby-rchardet ruby-simple-oauth ruby-snmp
  ruby-sqlite3 ruby-twitter ruby-unf ruby-unf-ext rwho rwhod safecopy
  sakis3g samdump2 sandi scalpel scrounge-ntfs seclists set sfuzz
  shellnoob sidguesser siege sipcrack sipp sipvicious skipfish sleuthkit
  slowhttptest smali smbmap smtp-user-enum sniffjoke snmpcheck
  soapyosmo-common0.6 soapysdr0.6-module-airspy soapysdr0.6-module-all
  soapysdr0.6-module-audio soapysdr0.6-module-bladerf
  soapysdr0.6-module-hackrf soapysdr0.6-module-lms7
  soapysdr0.6-module-osmosdr soapysdr0.6-module-redpitaya
  soapysdr0.6-module-remote soapysdr0.6-module-rtlsdr
  soapysdr0.6-module-uhd spectools spooftooph squashfs-tools sslcaudit
  ssldump sslh sslscan sslsniff sslsplit sslstrip sslyze stunnel4
  suckless-tools sucrack swaks t1utils tcl tcl-expect tcpflow tcpick
  tcpreplay tcpwatch-httpproxy teamsploit termineter testdisk tex-common
  tex-gyre tftpd32 thc-ipv6 thc-pptp-bruter thc-ssl-dos
  thin-provisioning-tools tk tlssled tnscmd10g truecrack twofi u3-pwn
  u3-tool ua-tester ubertooth ubertooth-firmware udptunnel uhd-host
  uhd-images unicorn-magic unicornscan unix-privesc-check upx-ucl
  urlcrazy vinetto vlan voiphopper volafox volatility volatility-tools
  vpnc vpnc-scripts wafw00f wapiti wce webacoo webhandler webscarab
  webshells websploit weevely wfuzz whatweb wifi-honey wifite wol-e
  wordlists x11proto-core-dev x11proto-dev x11proto-dri2-dev
  x11proto-fixes-dev x11proto-gl-dev x11proto-xext-dev
  x11proto-xf86vidmode-dev xorg-sgml-doctools xpdf xprobe xsltproc xspy
  xsser xtightvncviewer yara yersinia zaproxy zim
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
5 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up python3-graphql-core (2.0.0-0kali1) ...
  File "/usr/lib/python3/dist-packages/graphql/execution/tests/test_executor_thread.py", line 165
    def async(self):
            ^
SyntaxError: invalid syntax

dpkg: error processing package python3-graphql-core (--configure):
 installed python3-graphql-core package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of python3-graphql-relay:
 python3-graphql-relay depends on python3-graphql-core; however:
  Package python3-graphql-core is not configured yet.

dpkg: error processing package python3-graphql-relay (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-graphene:
 python3-graphene depends on python3-graphql-core (>= 2.0.0); however:
  Package python3-graphql-core is not configured yet.
 python3-graphene depends on python3-graphql-relay; however:
  Package python3-graphql-relay is not configured yet.

dpkg: error processing package python3-graphene (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-graphene-sqlalchemy:
 python3-graphene-sqlalchemy depends on python3-graphene; however:
  Package python3-graphene is not configured yet.

dpkg: error processing package python3-graphene-sqlalchemy (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of king-phisher:
 king-phisher depends on python3-graphene (>= 2.0.1); however:
  Package python3-graphene is not configured yet.
 king-phisher depends on python3-graphene-sqlalchemy (>= 2.0.0); however:
  Package python3-graphene-sqlalchemy is not configured yet.

dpkg: error processing package king-phisher (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 python3-graphql-core
 python3-graphql-relay
 python3-graphene
 python3-graphene-sqlalchemy
 king-phisher
E: Sub-process /usr/bin/dpkg returned an error code (1)
As i said i was really close to destroy my installation when i was so close to the end and at the first shot.
This tipe of error shouldn't happen at the start and it happens indipendently i run apt full-upgrade -y. before or after...
Please help